=== modified file 'plugin/drizzle_protocol/drizzle_protocol.cc'
--- plugin/drizzle_protocol/drizzle_protocol.cc	2011-01-31 14:35:57 +0000
+++ plugin/drizzle_protocol/drizzle_protocol.cc	2011-01-31 14:45:30 +0000
@@ -33,7 +33,6 @@
 #include <drizzled/module/option_map.h>
 #include "drizzled/util/tokenize.h"
 #include "drizzle_protocol.h"
-#include "plugin/drizzle_protocol/status_table.h"
 
 namespace po= boost::program_options;
 using namespace drizzled;
@@ -97,7 +96,6 @@
 {  
   const module::option_map &vm= context.getOptions();
 
-  context.add(new StatusTable);
   ListenDrizzleProtocol *protocol=new ListenDrizzleProtocol("drizzle_protocol", vm["bind-address"].as<std::string>(), true);
   protocol->addCountersToTable();
   context.add(protocol);

=== modified file 'plugin/drizzle_protocol/plugin.ini'
--- plugin/drizzle_protocol/plugin.ini	2010-10-07 17:41:25 +0000
+++ plugin/drizzle_protocol/plugin.ini	2011-01-31 14:45:30 +0000
@@ -9,7 +9,6 @@
 ldlfags=$(LIBZ)
 headers=
   drizzle_protocol.h
-  status_table.h
 sources=
   drizzle_protocol.cc
 static=yes

=== removed file 'plugin/drizzle_protocol/status_table.h'
--- plugin/drizzle_protocol/status_table.h	2010-12-03 19:56:07 +0000
+++ plugin/drizzle_protocol/status_table.h	1970-01-01 00:00:00 +0000
@@ -1,66 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2010 Andrew Hutchings
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef PLUGIN_DRIZZLE_PROTOCOL_STATUS_TABLE_H
-#define PLUGIN_DRIZZLE_PROTOCOL_STATUS_TABLE_H
-
-#include "drizzled/plugin/table_function.h"
-
-namespace drizzle_plugin
-{
-namespace drizzle_protocol
-{
-
-
-class StatusTable : public drizzled::plugin::TableFunction
-{
-public:
-  StatusTable() :
-    drizzled::plugin::TableFunction("DATA_DICTIONARY","DRIZZLE_PROTOCOL_STATUS")
-  {
-    add_field("VARIABLE_NAME");
-    add_field("VARIABLE_VALUE");
-  }
-
-  class Generator : public drizzled::plugin::TableFunction::Generator
-  {
-
-  public:
-    Generator(drizzled::Field **fields) :
-      drizzled::plugin::TableFunction::Generator(fields)
-    {
-    }
-
-    bool populate()
-    {
-      return false;
-    }
-  };
-
-  Generator *generator(drizzled::Field **arg)
-  {
-    return new Generator(arg);
-  }
-};
-
-} /* namespace drizzle_protocol */
-} /* namespace drizzle_plugin */
-
-#endif /* PLUGIN_DRIZZLE_PROTOCOL_STATUS_TABLE_H */

=== modified file 'plugin/mysql_protocol/mysql_protocol.cc'
--- plugin/mysql_protocol/mysql_protocol.cc	2011-01-31 14:35:57 +0000
+++ plugin/mysql_protocol/mysql_protocol.cc	2011-01-31 14:45:30 +0000
@@ -32,7 +32,6 @@
 #include "mysql_protocol.h"
 #include "mysql_password.h"
 #include "options.h"
-#include "table_function.h"
 
 #include "drizzled/identifier.h"
 
@@ -986,8 +985,6 @@
 
 static int init(drizzled::module::Context &context)
 {  
-  context.add(new MysqlProtocolStatus);
-
   /* Initialize random seeds for the MySQL algorithm with minimal changes. */
   time_t seed_time= time(NULL);
   random_seed1= seed_time % random_max;
@@ -1047,103 +1044,6 @@
           _("A restrictive IP address list for incoming admin connections."));
 }
 
-static int mysql_protocol_connection_count_func(drizzle_show_var *var, char *buff)
-{
-  var->type= SHOW_LONGLONG;
-  var->value= buff;
-  *((uint64_t *)buff)= ListenMySQLProtocol::mysql_counters->connectionCount;
-  return 0;
-}
-
-static int mysql_protocol_connected_count_func(drizzle_show_var *var, char *buff)
-{
-  var->type= SHOW_LONGLONG;
-  var->value= buff;
-  *((uint64_t *)buff)= ListenMySQLProtocol::mysql_counters->connected;
-  return 0;
-}
-
-static int mysql_protocol_failed_count_func(drizzle_show_var *var, char *buff)
-{
-  var->type= SHOW_LONGLONG;
-  var->value= buff;
-  *((uint64_t *)buff)= ListenMySQLProtocol::mysql_counters->failedConnections;
-  return 0;
-}
-
-static st_show_var_func_container mysql_protocol_connection_count=
-  { &mysql_protocol_connection_count_func };
-
-static st_show_var_func_container mysql_protocol_connected_count=
-  { &mysql_protocol_connected_count_func };
-
-static st_show_var_func_container mysql_protocol_failed_count=
-  { &mysql_protocol_failed_count_func };
-
-static drizzle_show_var mysql_protocol_status_variables[]= {
-  {"Connections",
-  (char*) &mysql_protocol_connection_count, SHOW_FUNC},
-  {"Connected",
-  (char*) &mysql_protocol_connected_count, SHOW_FUNC},
-  {"Failed_connections",
-  (char*) &mysql_protocol_failed_count, SHOW_FUNC},
-  {NULL, NULL, SHOW_LONGLONG}
-};
-
-MysqlProtocolStatus::Generator::Generator(drizzled::Field **fields) :
-  plugin::TableFunction::Generator(fields)
-{
-  status_var_ptr= mysql_protocol_status_variables;
-}
-
-bool MysqlProtocolStatus::Generator::populate()
-{
-  MY_ALIGNED_BYTE_ARRAY(buff_data, SHOW_VAR_FUNC_BUFF_SIZE, int64_t);
-  char * const buff= (char *) &buff_data;
-  drizzle_show_var tmp;
-
-  if (status_var_ptr->name)
-  {
-    std::ostringstream oss;
-    string return_value;
-    const char *value;
-    int type;
-
-    push(status_var_ptr->name);
-
-    if (status_var_ptr->type == SHOW_FUNC)
-    {
-      ((drizzle_show_var_func)((st_show_var_func_container *)status_var_ptr->value)->func)(&tmp, buff);
-      value= buff;
-      type= tmp.type;
-    }
-    else
-    {
-      value= status_var_ptr->value;
-      type= status_var_ptr->type;
-    }
-
-    switch(type)
-    {
-    case SHOW_LONGLONG:
-      oss << *(uint64_t*) value;
-      return_value= oss.str();
-      break;
-    default:
-      assert(0);
-    }
-    if (return_value.length())
-      push(return_value);
-    else
-      push(" ");
-
-    status_var_ptr++;
-
-    return true;
-  }
-  return false;
-}
-
 } /* namespace drizzle_plugin */
 
 DRIZZLE_DECLARE_PLUGIN

=== modified file 'plugin/mysql_protocol/plugin.ini'
--- plugin/mysql_protocol/plugin.ini	2010-09-01 17:46:04 +0000
+++ plugin/mysql_protocol/plugin.ini	2011-01-31 14:45:30 +0000
@@ -4,6 +4,6 @@
 load_by_default=yes
 ldlfags=$(LIBZ)
 libs=drizzled/algorithm/libhash.la
-headers=mysql_protocol.h errmsg.h net_serv.h options.h vio.h mysql_password.h table_function.h
+headers=mysql_protocol.h errmsg.h net_serv.h options.h vio.h mysql_password.h 
 sources=mysql_protocol.cc net_serv.cc vio.cc mysql_password.cc
 static=yes

=== removed file 'plugin/mysql_protocol/table_function.h'
--- plugin/mysql_protocol/table_function.h	2010-12-03 19:56:07 +0000
+++ plugin/mysql_protocol/table_function.h	1970-01-01 00:00:00 +0000
@@ -1,57 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2010 Andrew Hutchings
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef PLUGIN_MYSQL_PROTOCOL_TABLE_FUNCTION_H
-#define PLUGIN_MYSQL_PROTOCOL_TABLE_FUNCTION_H
-
-#include "drizzled/plugin/table_function.h"
-
-namespace drizzle_plugin
-{
-
-class MysqlProtocolStatus : public drizzled::plugin::TableFunction
-{
-public:
-  MysqlProtocolStatus() :
-    drizzled::plugin::TableFunction("DATA_DICTIONARY","MYSQL_PROTOCOL_STATUS")
-  {
-    add_field("VARIABLE_NAME");
-    add_field("VARIABLE_VALUE");
-  }
-
-  class Generator : public drizzled::plugin::TableFunction::Generator
-  {
-    drizzled::drizzle_show_var *status_var_ptr;
-
-  public:
-    Generator(drizzled::Field **fields);
-
-    bool populate();
-  };
-
-  Generator *generator(drizzled::Field **arg)
-  {
-    return new Generator(arg);
-  }
-};
-
-} /* namespace drizzle_plugin */
-
-#endif /* PLUGIN_MYSQL_PROTOCOL_TABLE_FUNCTION_H */

